﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace WP7Guide
{
    public partial class BouquetPage : PhoneApplicationPage
    {
        public BouquetPage()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            var bid = NavigationContext.QueryString["bid"];
            //int bouquetId;

            int.TryParse(bid, out bouquetId);
            this.DataContext = App.ViewModel.Bouquets[bouquetId];
        }

        private int bouquetId;

        private void ListTwo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/ChannelPage.xaml?bid=" + bouquetId + "&cid=" + ListTwo.SelectedIndex, UriKind.Relative));
            ListTwo.SelectedItem = null;
        }
    }
}