﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace WP7Guide
{
    public partial class ChannelPage : PhoneApplicationPage
    {
        public ChannelPage()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            var bid = NavigationContext.QueryString["bid"];
            var cid = NavigationContext.QueryString["cid"];
            

            int.TryParse(bid, out bouquetId);
            int.TryParse(cid, out channelId);
            this.DataContext = App.ViewModel.Bouquets[bouquetId].Services[channelId];
        }

        int bouquetId;
        int channelId;

        private void ListTwo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/EventPage.xaml?bid=" + bouquetId + "&cid=" +channelId + "&eid=" + ListTwo.SelectedIndex, UriKind.Relative));
            ListTwo.SelectedItem = null;
        }
    }
}